Skip to content
The API may change between versions while TTX-Zone is 0.x.

List audit

GET
/api/v1/instance/audit
curl --request GET \
--url 'https://example.com/api/v1/instance/audit?limit=50&offset=0&sort_dir=asc' \
--cookie ttx_access_token=<ttx_access_token>

Platform’s activity log, newest first by default; q matches who acted or what was acted on.

limit
Limit
integer
default: 50 >= 1 <= 200
offset
Offset
integer
0
action
Any of:
string
<= 48 characters
q
Any of:
string
<= 200 characters
sort_dir
Sort Dir
string
default: desc
Allowed values: asc desc

Successful Response

Media typeapplication/json
PlatformAuditListResponse
object
items
required
Items
Array<object>
PlatformAuditEventRead
object
action
required
Action
string
actor_label
required
Actor Label
string
actor_user_id
required
Any of:
string format: uuid
created_at
required
Created At
string format: date-time
details
required
Any of:
object
key
additional properties
any
id
required
Id
string format: uuid
target_id
required
Any of:
string format: uuid
target_kind
required
Target Kind
string
target_label
required
Any of:
string
limit
required
Limit
integer
offset
required
Offset
integer
total
required
Total
integer

Example generated

{
"items": [
{
"action": "example",
"actor_label": "example",
"actor_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"created_at": "2026-04-15T12:00:00Z",
"details": {},
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"target_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"target_kind": "example",
"target_label": "example"
}
],
"limit": 1,
"offset": 1,
"total": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}